Description
Hi,
We've been experiencing very long response times using the Ul to edit some entities, mainly hosts and hostgroups.
After some investigation, we found out that in some cases some edit operations were taking even longer than 20 seconds.
Average time in ms calculated from the log files:
[root@foreman01 foreman]# zcat .gz | egrep "Rendered.+edit" | sed -e "s/[*)](\([0-9.])ms)A1/" | awk {s+=$1} END {print
s/NRY}'

5805.36

Attached is a full log entry for one edit operation that took 12818ms.
We're running Foreman 1.0.0 installed from RPMs taken from yum.theforeman.org/development/el6/x86_64.

Follow up if you need more debug data or information about any particular configuration detail.

History

#1 - 08/28/2012 03:21 AM - Ohad Levy

it seems like rendering the page took most of the time (vs. sql), I'll try to see if we can cache some of the html (e.g. maybe things like classes
selection etc) thanks for reporting!

#2 - 12/14/2012 09:59 AM - Daniel Lobato Garcia

Been looking into it for a while, it looks to me that the templates that are causing the greatest delays are usually:

edit
_form
_list
_filters
index
show

for:

hostgroups

users

operating systems
hosts

Some of these can be greatly improved with gem multi_fetch_fragments(1). As for the ones that don't require rendering collections of elements, | don't
know how to improve these. Any insights?

1: http://ninjasandrobots.com/rails-faster-partial-rendering-and-caching/
#3 - 04/20/2021 11:19 AM - Leos Stejskal
- Description updated

- Status changed from New to Closed

I'm closing the issue,
it's here for some time and | wasn't able to reproduce it on latest version.
If you believe that the issue is still relevant feel free to reopen it.

Files

production.log 369 KB 08/09/2012 Nacho Barrientos
